Bug 971106 - skip_maven_build marker support broken in jbossas/jbosseap cartridges
skip_maven_build marker support broken in jbossas/jbosseap cartridges
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 13:13 EDT by Dan Mace
Modified: 2015-05-14 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:17:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mace 2013-06-05 13:13:39 EDT
Description of problem:

The skip_maven_build marker is not being honored in jbossas/jbosseap cartridge builds due to an erroneous git check in the control scripts.

Version-Release number of selected component (if applicable):


How reproducible:

Push a change to a jbossas/jbosseap application after adding .openshift/markers/skip_maven_build.


Steps to Reproduce:
1. Create a jbossas or jbosseap application
2. touch .openshift/markers/skip_maven_build
3. Push the new repo contents

Actual results:

A Maven build is executed.

Expected results:

No Maven build to execute.

Additional info:

This is a regression from the version 2 cartridge migration.
Comment 1 Dan Mace 2013-06-05 13:24:41 EDT
As a workaround, if users don't need a build, they can remove pom.xml from their application repo. This has the same effect as the skip_maven_build marker.
Comment 3 openshift-github-bot 2013-06-06 10:41:25 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/c9cd4d862475498d1159a21befe1d4656b182991
Bug 971106: Fix skip_maven_build marker support
Comment 4 Rony Gong 2013-06-07 02:24:59 EDT
Verified on STG(devenv-stage_364)
1.Create jbossas/jbosseap application
2.Touch the file .openshift/markers/skip_maven_build
3.Then do some change for the index.html, git push
[qgong@dhcp-10-140 markers]$ gitpush
[master 7ebb8df] update
 0 files changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 .openshift/markers/skip_maven_build
Counting objects: 7, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 483 bytes, done.
Total 4 (delta 1), reused 0 (delta 0)
remote: Stopping jbosseap cart
remote: Sending SIGTERM to jboss:26173 ...
remote: Deploying JBoss
remote: Starting jbosseap cart
remote: Found 127.8.57.1:8080 listening port
To ssh://51b151232587c822dd0002ad@q2jbosseap-qgong1.stg.rhcloud.com/~/git/q2jbosseap.git/
   df27ecc..7ebb8df  master -> master
4.Find only the changed file synced to the instance, but not deployed

5.Remove the file .openshift/markers/skip_maven_build
6.Do some change and gitpush, A Maven build is executed, and deployed successfully.

Note You need to log in before you can comment on or make changes to this bug.